import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.io.IOException;
/** 
 * @author: Benjamin Sauerstein
 * Date:    13.09.2024
 * Fuer die 5. Aufgabe des 43. Bundeswettbewerbs Informatik
 */

public class A5_OOP{
    int array[];
    int anzahl;
    /**
     * Konstruktor für Objekte der Klasse A5_OOP
     */
    public A5_OOP()
    {  
        // Die beiden untere Zeile verwenden, um einen Pfad zur Datei anzugeben.
        // SimpleInput input = new SimpleInput();
        // String datei = input.getString("Bitte Dateipfad für Loesung eingeben!");
        // oder die Datei im Projektordner speichern, dann reicht die Angabe des Dateinamens:
        String datei = "grabmal1.txt";       
        File file = new File(datei);
        if (!file.canRead() || !file.isFile()){
            System.exit(0);
        }
        BufferedReader in = null;
        try {
            in = new BufferedReader(new FileReader(datei));
            anzahl = Integer.parseInt(in.readLine());
            array = new int[anzahl];
            for (int i=0; i<anzahl; i++){  
                array[i] = Integer.parseInt(in.readLine());
            }
            aufgabeLoesen();
        } catch (IOException e) {
            e.printStackTrace();
        } finally {
            if (in != null)
                try {
                    in.close();
                } catch (IOException e) {}
        } 
    }

    //ab hier kann die Aufgabe inhaltlich bearbeitet werden 
    public void aufgabeLoesen(){
        System.out.println("Das Array hat die Laenge: " + anzahl + " mit den Eintraegen:");
        for (int i=0; i<anzahl; i++){  
            System.out.print(array[i] + " ");
        }
    }
}
